# Glom::PythonUICallbacks Class Reference

UI code should connect to the signals to respond when Python code request a change in the UI. More...

List of all members.

## Public Attributes

sigc::slot< void, const Glib::ustring &, const Gnome::Gda::Value& > | m_slot_show_table_details
| For example, void on_show_table_details(const Glib::ustring& table_name, const Gnome::Gda::Value& primary_key_value);.
sigc::slot< void, const Glib::ustring& > | m_slot_show_table_list
| For example, void on_show_table_list(const Glib::ustring& table_name);.
sigc::slot< void, const Glib::ustring& > | m_slot_print_report
| For example, void on_print_report(const Glib::ustring& report_name);.
sigc::slot< void > | m_slot_print_layout
| For example, void on_print_layout();.
sigc::slot< void > | m_slot_start_new_record
| For example, void on_start_new_record(); Use an empty Value for auto-created fields.

## Detailed Description

UI code should connect to the signals to respond when Python code request a change in the UI.

## Member Data Documentation

sigc::slot<void> Glom::PythonUICallbacks::m_slot_print_layout

For example, void on_print_layout();.

sigc::slot<void, const Glib::ustring&> Glom::PythonUICallbacks::m_slot_print_report

For example, void on_print_report(const Glib::ustring& report_name);.

sigc::slot<void, const Glib::ustring&, const Gnome::Gda::Value&> Glom::PythonUICallbacks::m_slot_show_table_details

For example, void on_show_table_details(const Glib::ustring& table_name, const Gnome::Gda::Value& primary_key_value);.

sigc::slot<void, const Glib::ustring&> Glom::PythonUICallbacks::m_slot_show_table_list

For example, void on_show_table_list(const Glib::ustring& table_name);.

sigc::slot<void> Glom::PythonUICallbacks::m_slot_start_new_record

For example, void on_start_new_record(); Use an empty Value for auto-created fields.

The documentation for this class was generated from the following file:

- python_embed/py_glom_ui_callbacks.h